osl::eval::ml::King25EffectEachKXY Class Reference

`#include <kingTable.h>`

## Public Types

enum | { ONE_DIM = 27000 , DIM = ONE_DIM * EvalStages }

## Static Public Member Functions

static void | setUp (const Weights &weigths)

## Detailed Description

Definition at line 618 of file kingTable.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
ONE_DIM |
DIM |

Definition at line 621 of file kingTable.h.

## Member Function Documentation

## setUp()

void osl::eval::ml::King25EffectEachKXY::setUp | ( | const Weights & | weigths | ) |

static

Definition at line 933 of file kingTable.cc.

References osl::NStages, ONE_DIM, osl::eval::ml::Weights::value(), osl::eval::ml::King25EffectEachBoth::x_table, osl::eval::ml::King25EffectEachBoth::xy_table, and osl::eval::ml::King25EffectEachBoth::y_table.

The documentation for this class was generated from the following files:

- kingTable.h
- kingTable.cc